/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.entschaedigung.entity;

public interface EntschaedigungBase extends 
de.ivu.elect.jee.entity.Entity<EntschaedigungPK, EntschaedigungUK>
{

  
  /**
   * getter for primary key wrapper ENTSCHAEDIGUNG.entschaedigung_id
   *
   * @return
   */
  @Override
  EntschaedigungPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.ANZAHL
   *
   */
  java.lang.Long getAnzahl();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.ANZAHL
   *
   * @param anzahl
   */
  void setAnzahl(java.lang.Long anzahl);
      

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.BESCHREIBUNG
   *
   */
  java.lang.String getBezeichnung();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.BESCHREIBUNG
   *
   * @param bezeichnung
   */
  void setBezeichnung(java.lang.String bezeichnung);
      

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.EINZELBETRAG
   *
   */
  java.math.BigDecimal getEinzelbetrag();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.EINZELBETRAG
   *
   * @param einzelbetrag
   */
  void setEinzelbetrag(java.math.BigDecimal einzelbetrag);
      

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.GESAMTBETRAG
   *
   */
  java.math.BigDecimal getGesamtbetrag();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.GESAMTBETRAG
   *
   * @param gesamtbetrag
   */
  void setGesamtbetrag(java.math.BigDecimal gesamtbetrag);
      

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.STATUS
   *
   */
  de.ivu.elect.business.entschaedigung.entity.EntschaedigungStatus getStatus();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.STATUS
   *
   * @param status
   */
  void setStatus(de.ivu.elect.business.entschaedigung.entity.EntschaedigungStatus status);
      

  /**
   * 
   *
   * getter for ENTSCHAEDIGUNG.WAEHRUNG
   *
   */
  java.lang.String getWaehrungAlsIsoCode();

  /**
   * 
   *
   * setter for ENTSCHAEDIGUNG.WAEHRUNG
   *
   * @param waehrungAlsIsoCode
   */
  void setWaehrungAlsIsoCode(java.lang.String waehrungAlsIsoCode);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setAuszahlung(de.ivu.elect.business.entschaedigung.entity.Auszahlung auszahlung);

  /**
   * 
   */
  de.ivu.elect.business.entschaedigung.entity.Auszahlung getAuszahlung();



  /**
   * 
   */
  void setEntschaedigungsart(de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart entschaedigungsart);

  /**
   * 
   */
  de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart getEntschaedigungsart();



  /**
   * 
   */
  void setPersonendaten(de.ivu.elect.business.person.entity.Personendaten personendaten);

  /**
   * 
   */
  de.ivu.elect.business.person.entity.Personendaten getPersonendaten();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
